Partial update product
curl --request PATCH \
--url https://api.piriod.com/products/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-simple-workspace: <x-simple-workspace>' \
--data '
{
"name": "<string>",
"unit_label": "<string>",
"status": "active"
}
'import requests
url = "https://api.piriod.com/products/{id}/"
payload = {
"name": "<string>",
"unit_label": "<string>",
"status": "active"
}
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-simple-workspace': '<x-simple-workspace>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', unit_label: '<string>', status: 'active'})
};
fetch('https://api.piriod.com/products/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"unit_label": "<string>",
"id": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"plans": [
{
"product": "<string>",
"name": "<string>",
"description": "<string>",
"frequency": "<string>",
"currency": "<string>",
"amount": 123,
"id": "<string>",
"sku": "<string>",
"exempt": false,
"usage_scheme": "licensed",
"tiers": [
{
"amount": 123,
"quantity_from": 123,
"amount_scheme": "flat",
"quantity_to": 123
}
],
"unit_label": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}Products
Partial update product
PATCH
/
products
/
{id}
/
Partial update product
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Body
application/json
Response
200 - application/json
Updated product.
Maximum string length:
80Maximum string length:
12Available options:
active, archived Show child attributes
Show child attributes
⌘I
